2012-07-06 01:22 PM - Hugo Loi

Status: Closed

Priority: Normal

Assignee: Marco Hugentobler

Category: C++ Plugins

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 15386

Description

Hi,

There is an error in the following file:

qgis-1.7.4/src/analysis/raster/qgstotalcurvaturefilter.cpp

(QGis version: 1.7.4, but it has not changed in the new one)

The "dyy" and "dxy" formulas are inverted. This causes the final result to be wrong. Before posting the bug here, i made sure that it is truly

an error and asked it here:

http://gis.stackexchange.com/questions/27155/qgis-raster-terrain-analysis-the-curvature-filter-puzzles-me

The only correction to do is, in the function 

float QgsTotalCurvatureFilter::processNineCellWindow(...)

to exchange the initialization of local variables "dyy" and "dxy". Everything else can be let unchanged.

Thanks for your attention!

Associated revisions

Revision a62adfe4 - 2015-05-20 01:16 PM - Alexander Bruy

fix total curvature calculation (fix #5967)

Revision b7a4e985 - 2015-05-25 10:48 AM - Marco Hugentobler

Merge pull request #2048 from alexbruy/fix-curvature-filter

fix total curvature calculation (fix #5967)

History

#1 - 2012-07-06 09:13 PM - Marco Hugentobler

- Assignee set to Marco Hugentobler

#2 - 2012-09-04 12:07 PM - Paolo Cavallini

- Target version set to Version 2.0.0

#3 - 2014-06-21 03:40 AM - Jürgen Fischer

- Category set to C++ Plugins
http://gis.stackexchange.com/questions/27155/qgis-raster-terrain-analysis-the-curvature-filter-puzzles-me


#4 - 2014-06-22 11:47 AM - Giovanni Manghi

- Target version changed from Version 2.0.0 to Version 2.4

#5 - 2014-06-28 07:45 AM - Jürgen Fischer

- Target version changed from Version 2.4 to Future Release - High Priority

#6 - 2015-05-25 01:49 AM - Marco Hugentobler

- Status changed from Open to Closed

Fixed in changeset commit:"b7a4e9856b11a1468a3c707c011b3c1becc09a93".
